scala.tools.nsc.backend.icode.TypeKinds

# LONG

###
Related Doc: package TypeKinds

#### object LONG extends ICodes.ValueTypeKind with Product with Serializable

An 8-byte signed integer

Source
  TypeKinds.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ICodes.ValueTypeKind, ICodes.TypeKind, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. LONG
2. Serializable
3. Serializable
4. Product
5. Equals
6. ValueTypeKind
7. TypeKind
8. AnyRef
9. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def <:<(other: ICodes.TypeKind): Boolean

   Simple subtyping check

   Simple subtyping check

   Definition Classes
     ValueTypeKind → TypeKind

4. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

5. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

6. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

7. #### def dimensions: Int

   The number of dimensions for array types.

   The number of dimensions for array types.

   Definition Classes
     TypeKind

8. #### final def eq(arg0: AnyRef): Boolean

   Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

   Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

   The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

   - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
   - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
   - `null.eq(null)` returns `true`.

   When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

   returns

     `true` if the argument is a reference to the receiver object; `false` otherwise.

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   The equality method for reference types.

   The equality method for reference types. Default implementation delegates to `eq`.

   See also `equals` in scala.Any.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

11. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

12. #### def isArrayType: Boolean

    Definition Classes
      TypeKind

13. #### final def isAssignabledTo(other: ICodes.TypeKind): Boolean

    this is directly assignable to other if no coercion or casting is needed to convert this to other.

    this is directly assignable to other if no coercion or casting is needed to convert this to other. It's a distinct relationship from <:< because on the JVM, BOOL, BYTE, CHAR, SHORT need no coercion to INT even though JVM arrays are covariant, ARRAY[SHORT] is not a subtype of ARRAY[INT]

    Definition Classes
      TypeKind

14. #### def isBoxedType: Boolean

    Definition Classes
      TypeKind

15. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

16. #### def isIntSizedType: Boolean

    On the JVM, BOOL, BYTE, CHAR, SHORT, and INT are like Ints for the purposes of calculating the lub.

    On the JVM, BOOL, BYTE, CHAR, SHORT, and INT are like Ints for the purposes of calculating the lub.

    Definition Classes
      TypeKind

17. #### def isIntegralType: Boolean

    On the JVM, similar to isIntSizedType except that BOOL isn't integral while LONG is.

    On the JVM, similar to isIntSizedType except that BOOL isn't integral while LONG is.

    Definition Classes
      LONG → TypeKind

18. #### final def isInterfaceType: Boolean

    Definition Classes
      TypeKind

19. #### final def isNothingType: Boolean

    Definition Classes
      TypeKind

20. #### final def isNullType: Boolean

    Definition Classes
      TypeKind

21. #### final def isNumericType: Boolean

    Definition Classes
      TypeKind

22. #### def isRealType: Boolean

    On the JVM, FLOAT and DOUBLE.

    On the JVM, FLOAT and DOUBLE.

    Definition Classes
      TypeKind

23. #### final def isRefOrArrayType: Boolean

    Definition Classes
      TypeKind

24. #### def isReferenceType: Boolean

    Definition Classes
      TypeKind

25. #### def isValueType: Boolean

    Definition Classes
      ValueTypeKind → TypeKind

26. #### def isWideType: Boolean

    Is this type a category 2 type in JVM terms? (ie, is it LONG or DOUBLE?)

    Is this type a category 2 type in JVM terms? (ie, is it LONG or DOUBLE?)

    Definition Classes
      LONG → TypeKind

27. #### def maxType(other: ICodes.TypeKind): ICodes.TypeKind

    Definition Classes
      LONG → TypeKind

28. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

30. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      ValueTypeKind → AnyRef → Any

33. #### def toType: Global.Type

    Definition Classes
      TypeKind

34. #### def uncomparable(other: ICodes.TypeKind): Nothing

    Attributes
      protected
    Definition Classes
      TypeKind

35. #### def uncomparable(thisKind: String, other: ICodes.TypeKind): Nothing

    Attributes
      protected
    Definition Classes
      TypeKind

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ICodes.ValueTypeKind

### Inherited from ICodes.TypeKind

### Inherited from AnyRef

### Inherited from Any

### Ungrouped